Pywikibot Documentation#

Welcome! This is the documentation for Pywikibot 8.0.0.dev0.

Pywikibot is a Python library and collection of tools that automate work on MediaWiki sites. Originally designed for Wikipedia, it is now used throughout the Wikimedia Foundation’s projects and on many other MediaWiki wikis.

The project started in 2003 and is currently on core version 8.0.0. It features full API usage and is up-to-date with new MediaWiki features and a Pythonic package layout. But it also works with older installations of MediaWiki 1.23 or higher.

Pywikibot supports Microsoft Windows, macOS and Linux when used with a compatible version of Python. It should also work on any other operating system that has a compatible version of Python installed. To check whether you have Python installed and to find its version, just type python at the CMD or shell prompt.

Python 3.6.1 or higher is currently required to run the bot, but Python 3.7 or higher is recommended. Python 3.6 support will be dropped with Pywikibot 9.

Pywikibot and this documentation are licensed under the MIT License; manual pages on mediawiki.org are licensed under the CC-BY-SA 3.0 license.

Framework Modules Overview#

Framework modules dependency network

For bot users:#

For bot developers:#

For framework developers:#

Miscellaneous#